LOGIN(1)

NAME
login - Démarrer une session sur le système

SYNOPSIS

login [-p] [nom_utilisateur] [ENV=VAR...]

login [-p] [-h hôte] [-f nom_utilisateur]

login [-p] -r hôte

DESCRIPTION

Login permet d'établir une nouvelle session sur le système. Il est généralement invoqué après avoir répondu à l'invite de login login: sur le terminal de l'utilisateur. Login peut être particulier pour l'interpréteur de commandes (« shell ») et ne devrait pas être invoqué comme un sous-processus. En général, login est traité comme exec login, ce qui entraîne la sortie de l'interpréteur de commandes de l'utilisateur. L'exécution de login depuis un interpréteur de commandes (« shell ») autre qu'un interpréteur de commandes initial (« login shell ») produira un message d'erreur.

Un mot de passe est ensuite demandé à l'utilisateur. L'affichage du mot de passe est désactivé pour éviter de révéler le mot de passe. Seul un petit nombre d'échecs sont permis avant que login ne quitte et que la liaison ne soit interrompue.

Si une date de fin de validité du mot de passe a été définie pour ce compte, un nouveau mot de passe pourra vous être demandé. Votre ancien mot de passe et votre nouveau mot de passe vous seront alors demandés avant de pouvoir continuer. Veuillez lire la page de manuel passwd(1) pour plus d'informations.

Après une connexion réussie, un message du système et la présence de courrier pourront vous être notifiés. Vous pouvez désactiver l'affichage du message du système (/etc/motd), en créant un fichier vide .hushlogin dans le répertoire de votre compte. Le message concernant les courriers sera « You have new mail. », « You have mail. », ou « No Mail. » suivant l'état de votre boîte aux lettres.

Votre identifiant d'utilisateur et de groupe seront placés en fonction des valeurs spécifiées dans le fichier /etc/passwd. Les valeurs des variables d'environnement $HOME, $SHELL, $PATH, $LOGNAME, et $MAIL seront affectées en fonction des champs appropriés de l'entrée qui vous correspond. Les valeurs d'ulimit, d'umask et de nice pourront également être affectées en fonction du champ GECOS.

Pour certains systèmes, la variable d'environnement $TERM sera initialisée au type de terminal de votre tty, comme spécifié dans /etc/ttytype.

Un script d'initialisation pour votre interpréteur de commandes pourra également être exécuté. Veuillez vous référer à la section de manuel appropriée pour plus d'informations sur cette fonctionnalité.

Une connexion à un sous-système est indiquée par la présence d'un « * » comme premier caractère de l'interpréteur de commandes initial. Le répertoire personnel sera utilisé comme racine d'un nouveau système de fichier dans lequel l'utilisateur sera connecté.

Le programme login n'est PAS responsable de la suppression d'utilisateurs dans le fichier utmp. Les responsables du nettoyage de l'appartenance des sessions de terminal sont getty(8) et init(8). Si vous utilisez login depuis un interpréteur de commandes sans exec, l'utilisateur que vous utilisez continuera à apparaître comme étant connecté même après s'être déconnecté de cette « sous-session ».

OPTIONS

-f  Ne réalise pas d'authentification. L'utilisateur est pré-authentifié.

-h  Nom de l'hôte distant pour cette connexion.

-p  Préserve l'environnement.

-r  Exécute le protocole de connexion automatique (autologin) pour rlogin.

Les options -r, -h et -f ne peuvent être utilisées que par root.

AVERTISSEMENTS

Cette version de login a de nombreuses options de compilation. Seules certaines d'entre elles peuvent avoir été activées sur votre site.

L'emplacement des fichiers peut varier suivant la configuration du système.

Le programme login n'est PAS responsable de la suppression d'utilisateurs dans le fichier utmp. Les responsables du nettoyage de l'appartenance des sessions de terminal sont getty(8) et init(8). Si vous utilisez login depuis un interpréteur de commandes sans exec, l'utilisateur que vous utilisez continuera à apparaître comme étant connecté même après s'être déconnecté de cette « sous-session ».

Comme pour n'importe quel programme, l'apparance de login peut être immitée. Si des utilisateurs non sûrs ont un accès physique à la machine, un attaquant pourrait utiliser cet accès pour obtenir le mot de passe de la personne qui s'asseyerait ensuite face à l'écran. Sous Linux, le mécanisme SAK peut être utilisé parles utilisateurs pour initier un chemin de confiance et prévenir ce genre d'attaques.

FICHIERS

/var/run/utmp
    liste des connexions courantes

/var/log/wtmp
    Liste des connexions précédentes

/etc/passwd
    informations sur les comptes des utilisateurs

/etc/shadow
    informations sécurisées sur les comptes utilisateurs

/etc/motd
    fichier contenant le message du système

/etc/nologin
    empêcher certains utilisateurs non-root de se connecter

/etc/ttytype
    liste des types de terminal

$HOME/.hushlogin
    supprimer l'affichage du message du système

VOIR AUSSI

mail(1), passwd(1), sh(1), su(1), login.defs(5), nologin(5), passwd(5), securetty(5), getty(8).